<template>
  <div class="app-container">
    <transition name="el-zoom-in-center">
      <check-job-list v-if="options.showList" @showCard="showCard" />
    </transition>
    <transition name="el-zoom-in-bottom">
      <check-log-list v-if="options.showLogList" :data="options.data" @showCard="showCard"/>
    </transition>
  </div>
</template>

<script>
import CheckJobList from './CheckJobList'
import CheckLogList from './log/CheckLogList'

export default {
  name: 'CheckJob',
  components: { CheckJobList, CheckLogList },
  data() {
    return {
      options: {
        data: {},
        showList: true,
        showLogList: false
      }
    }
  },
  methods: {
    showCard(data) {
      Object.assign(this.options, data)
    }
  }
}
</script>

<style lang="scss" scoped>

</style>
